package common.biome;

public abstract class BaseBiome {
    public final int id;
    public final String name;
    public final String display;
    public final int color;
    public final float temperature;
    public final float humidity;
    public final int waterColor;
    public final int skyColor;
    public final int fogColor;
    public final int cloudColor;

    private BaseBiome(int id, String name, String display, int color, float temperature, float humidity, int waterColor, int skyColor, int fogColor, int cloudColor) {
        this.id = id;
        this.name = name;
        this.display = display;
        this.temperature = temperature;
        this.humidity = humidity;
        this.color = color;
        this.waterColor = waterColor;
        this.skyColor = skyColor;
        this.fogColor = fogColor;
        this.cloudColor = cloudColor;
    }

    private BaseBiome(int id, String name, String display, int color, float temperature, float humidity, int waterColor) {
        this(id, name, display, color, temperature, humidity, waterColor, 0xffffffff, 0xffffffff, 0xffffffff);
    }

    private BaseBiome(int id, String name, String display, int color, float temperature, float humidity, int skyColor, int fogColor, int cloudColor) {
        this(id, name, display, color, temperature, humidity, 0xffffff, skyColor, fogColor, cloudColor);
    }

    private BaseBiome(int id, String name, String display, int color, float temperature, float humidity) {
        this(id, name, display, color, temperature, humidity, 0xffffff, 0xffffffff, 0xffffffff, 0xffffffff);
    }

    private BaseBiome(int id, String name, String display, int color, float temperature) {
        this(id, name, display, color, temperature, 50.0f, 0xffffff, 0xffffffff, 0xffffffff, 0xffffffff);
    }

    private BaseBiome(int id, String name, String display, int color) {
        this(id, name, display, color, 0.0f, 50.0f, 0xffffff, 0xffffffff, 0xffffffff, 0xffffffff);
    }
}
